#!/bin/sh

SZ_SOUNDSGOODD_NAME=soundsgoodd
SZ_AS_PLAYERD_NAME=as_playerd
SZP_SEM_EVENT=/tmp/sem.event_queue*
SZP_SEM_LIB=/tmp/sem.music_lib*
SZP_SEM_MAP=/tmp/sem.watch_map*
SZP_APP_CONFIG=/usr/local/AppCentral/soundsgood/CONTROL/config.json

PKG_ETC_DIR="$APKG_PKG_DIR/etc"
PKG_VAR_DIR="$APKG_PKG_DIR/var"
PKG_TMP_DIR="$APKG_PKG_DIR/tmp"
PKG_PLUGIN_DIR="$APKG_PKG_DIR/plugin"

keep_config()
{
	OLD_PKG_VER=`cat $SZP_APP_CONFIG | grep 'version' | cut -d'"' -f4`
	major=`echo $OLD_PKG_VER | awk -F'.' '{ print $1 }'`
	minor=`echo $OLD_PKG_VER | awk -F'.' '{ print $2 }'`
	build=`echo $OLD_PKG_VER | awk -F'.' '{ print $3 }'`

	# keep settings if version is bigger than "2.0.0"
	if [ $major -ge 2 ] && [ $minor -ge 0 ] && [ $build -ge 0 ]; then
		echo 1
	else
		echo 0
	fi
}

case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		killall -15 $SZ_SOUNDSGOODD_NAME
		killall -15 $SZ_AS_PLAYERD_NAME
		sleep 1
		killall -9 $SZ_SOUNDSGOODD_NAME
		killall -9 $SZ_AS_PLAYERD_NAME
		/bin/rm $SZP_SEM_EVENT
		/bin/rm $SZP_SEM_LIB
		/bin/rm $SZP_SEM_MAP
		# remove config if version is smaller than 2.0
		if [ $(keep_config) -eq 1 ]; then
			# configuration (etc)
			cp -af $PKG_ETC_DIR $APKG_TEMP_DIR/
			# media database
			cp -af $PKG_VAR_DIR/media.db $APKG_TEMP_DIR/
			# playlist database
			cp -af $PKG_VAR_DIR/playlist.db $APKG_TEMP_DIR/
			# log database
			cp -af $PKG_VAR_DIR/log.db $APKG_TEMP_DIR/
			# plugin
			cp -af $PKG_PLUGIN_DIR $APKG_TEMP_DIR/
		fi
		;;
	*)
		;;
esac

exit 0
